html,
body {
  cursor: default;
  overflow-x: hidden;
  font-size: 15px;
  direction: rtl;
  text-align: right;
  min-height: 100vh;
}

#app {
  position: relative;
  //padding-right: $sidebar-width;
  //padding-left: $navbar-with;
  //overflow-y: auto;
  //overflow-x: hidden;
  background-color: white;
  padding: 0;
  //height: 100%;
}

#main {
  min-height: 100vh;
  box-shadow: 0 0 2px rgba(black, 0.2);
  display: flex;
}

#sidebar {
  flex: 0 0 $sidebar-width;
}

#nav-bar {
  flex: 0 0 $navbar-with;
}

.main-content {
  position: relative;
  flex-grow: 1;
  max-width: calc(100% - #{$sidebar-width+$navbar-with});
}

.main-body {
  padding: 15px;
}

.sidebar-overlay {
  transition: all 0.5s ease-in-out;
}

.main-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: $z-index-main-loading;
}

@include media-breakpoint-down(sm) {
  .main-content {
    padding-bottom: 70px;
  }
}

@include media-breakpoint-down(lg) {
  #app {
    width: 100%;
    max-width: 100%;
  }
}


//============ sidebar-breakpoint ==============//
@include media-breakpoint-down(md) {
  .main-content {
    max-width: calc(100% - #{$navbar-with});
  }
}
@include media-breakpoint-down(sm) {
  .main-content {
    max-width: 100%;
  }
}


//============ route-change-transition ==============//
.main-content {
  #header:not(.vue-sticky-el) {
    left: 0;
    width: 100%;
    position: absolute;
  }

  .app-body {
    padding-top: 50px;
    transition: padding-top 0.3s ease;
  }

  > .vue-sticky-placeholder {
    padding-top: 1px !important;
  }
}

.route-change-enter-active,
.route-change-leave-active {
  transition: all 0.3s ease;
}

// route-change-leave-active route-change-leave-to
// route-change-enter-active route-change-enter-to

.route-change-leave-to,
.route-change-enter {
  opacity: 0;

  .app-body {
    padding-top: 0 !important;
  }
}

.the-container {
  padding: 15px;
  max-width: 600px;
  margin-right: auto;
  margin-left: auto;
}

//.vb > .vb-dragger {
//  z-index: 5555;
//  width: 12px;
//  right: 0;
//}
//
//.vb > .vb-dragger > .vb-dragger-styler {
//  backface-visibility: hidden;
//  transform: rotate3d(0, 0, 0, 0);
//  transition: background-color 100ms ease-out,
//  margin 100ms ease-out,
//  height 100ms ease-out;
//  background-color: rgba(black, 0.11);
//  margin: 5px 5px 5px 0;
//  border-radius: 20px;
//  height: calc(100% - 10px);
//  display: block;
//}
//
//.vb.vb-scrolling-phantom > .vb-dragger > .vb-dragger-styler {
//  background-color: rgba(black, .3);
//}
//
//.vb > .vb-dragger:hover > .vb-dragger-styler {
//  background-color: rgba(black, .5);
//  margin: 0;
//  height: 100%;
//}
//
//.vb.vb-dragging > .vb-dragger > .vb-dragger-styler {
//  background-color: rgba(black, .5);
//  margin: 0;
//  height: 100%;
//}
//
//.vb.vb-dragging-phantom > .vb-dragger > .vb-dragger-styler {
//  background-color: rgba(black, .5);
//}
